%define		_class		Net
%define		_subclass	IDNA
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	0.8.1
Release:	%mkrel 1
Summary:	Punycode encoding and decoding
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Net_IDNA/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
This package helps you to encode and decode punycode strings easily.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml




%changelog

* Sat Feb 25 2012 spuhler <spuhler> 0.8.1-1.mga2
+ Revision: 214614
- update to 0.8.1

* Sat Jan 29 2011 spuhler <spuhler> 0.7.1-6.mga1
+ Revision: 43735
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_IDNA

